Subject: Re: [PATCH v2] Allow git mv FileA fILEa on case ignore file systems

From: Johannes Sixt <[email-masked]>
Date: Tue, 12 Apr 2011 08:16:12 +0200

Am 4/11/2011 18:55, schrieb Junio C Hamano:
> Yeah, I forgot about the primary thing we are trying to do in this
> discussion.  Sorry about that.  My thinking stopped at 'if we rename "A"
> to "a in the index, that is sufficient.  We already know that we can still
> open("A") because the filesystem is case insensitive.'
> 
> In fact, we want both the index entry "A" renamed to "a" _and_ also we
> want to see next "/bin/ls" to show "a", not "A".  For the latter, we do
> want to run rename(2) on them.

I wonder why we need this at all. You can always break this into two
operations:

  git mv A a1
  git mv a1 a

Is 'git mv A a' on a case-insensitive filesystem such an every-day
operation that we have to provide special support for it in git?

-- Hannes